Get User Attributes
GET /obp/v7.0.0/users/USER_ID/attributes
OBPv6.0.0-getUserAttributes Roles: CanGetUserAttributes UserUser-AttributeAttribute
Get User Attributes for the user specified by USER_ID.
Returns non-personal user attributes (IsPersonal=false) that can be used in ABAC rules.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
USER_ID: 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
JSON response body fields (7)
Example success response
{
"user_attributes": [
{
"user_attribute_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"name": "BATTERY_LEVEL",
"type": "STRING",
"value": "90",
"is_personal": false,
"insert_date": "2026-10-21T01:45:41Z"
}
]
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-20057: User not found by userId.
- OBP-50000: Unknown Error.